import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import { Session } from "@noovolari/leapp-core/models/session";
import { IdpUrl } from "@noovolari/leapp-core/models/idp-url";
export default class DeleteIdpUrl extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        idpUrlId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        force: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    selectIdpUrl(): Promise<IdpUrl>;
    getAffectedSessions(idpUrlIdString: string): Session[];
    askForConfirmation(affectedSessions: Session[]): Promise<boolean>;
    deleteIdpUrl(id: string): Promise<void>;
}
