import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import { IdpUrl } from "@noovolari/leapp-core/models/idp-url";
export default class EditIdpUrl extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        idpUrlId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        idpUrl: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    selectIdpUrl(): Promise<IdpUrl>;
    getNewIdpUrl(): Promise<string>;
    editIdpUrl(id: string | undefined, newIdpUrl: string | undefined): Promise<void>;
    validateMyFlags(flags: any): boolean;
}
