import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import { Integration } from "@noovolari/leapp-core/models/integration";
export default class LogoutIntegration extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        integrationId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    logout(integration: Integration): Promise<void>;
    selectIntegration(): Promise<Integration>;
}
