import { LeappCommand } from "../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
export default class SetWorkspace extends LeappCommand {
    static description: string;
    static examples: string[];
    static args: {
        workspaceName: import("@oclif/core/lib/interfaces/parser").Arg<string, Record<string, unknown>>;
    };
    static flags: {};
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    private getWorkspaceByName;
    private getWorkspaceInteractively;
    private setWorkspace;
}
