import { Command } from "@oclif/core";
import { Config } from "@oclif/core/lib/config/config";
import { CliProviderService } from "./service/cli-provider-service";
import { Session } from "@noovolari/leapp-core/models/session";
export declare abstract class LeappCommand extends Command {
    protected cliProviderService: CliProviderService;
    protected constructor(argv: string[], config: Config, cliProviderService?: CliProviderService);
    protected static areFlagsNotDefined(flags: any, instance: any): boolean;
    init(): Promise<void>;
    finally(error: any): Promise<void>;
    unsupportedAzureSession(session: Session): void;
}
