Leapp CLI
=================

Leapp's Command Line Interface.

It relies on Leapp Core, which encapsulates the domain logic.

For more information about the project visit the [site](www.leapp.cloud).

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/@noovolari/leapp-core.svg)](https://npmjs.org/package/@noovolari/leapp-cli)
[![Downloads/week](https://img.shields.io/npm/dw/@noovolari/leapp-core.svg)](https://npmjs.org/package/@noovolari/leapp-cli)
[![License](https://img.shields.io/npm/l/@noovolari/leapp-core.svg)](https://github.com/Noovolari/leapp/package.json)
<!--[![CircleCI](https://circleci.com/gh/oclif/hello-world/tree/main.svg?style=shield)](https://circleci.com/gh/oclif/hello-world/tree/main)-->

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
* [Command Topics](#command-topics)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g @noovolari/leapp-cli
$ leapp COMMAND
running command...
$ leapp (--version)
@noovolari/leapp-cli/0.1.65 darwin-x64 node-v16.20.2
$ leapp --help [COMMAND]
USAGE
  $ leapp COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
# Command Topics

* [`leapp help`](scopes/help.md) - Display help for leapp.
* [`leapp idp-url`](scopes/idp-url.md) - SAML 2.0 Identity providers URL management
* [`leapp integration`](scopes/integration.md) - Leapp Integrations management
* [`leapp profile`](scopes/profile.md) - Leapp AWS Multi-profile management
* [`leapp region`](scopes/region.md) - Leapp regions management
* [`leapp session`](scopes/session.md) - Sessions management
* [`leapp set-workspace`](scopes/set-workspace.md) - Set the current Leapp workspace
* [`leapp team`](scopes/team.md) - Login to your Team account
* [`leapp version`](scopes/version.md) - Displays the Cli and Core versions
* [`leapp workspace`](scopes/workspace.md) - Show the current workspace

<!-- commandsstop -->
