import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import { IdpUrl } from "@noovolari/leapp-core/models/idp-url";
export default class CreateIdpUrl extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        idpUrl: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    promptAndCreateIdpUrl(): Promise<IdpUrl>;
    getIdpUrl(): Promise<string>;
    createIdpUrl(idpUrlString: string): Promise<IdpUrl>;
}
