import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
export default class CreateNamedProfile extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        profileName: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    getProfileName(): Promise<string>;
    createNamedProfile(profileNameString: string): Promise<void>;
}
