import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import { AwsNamedProfile } from "@noovolari/leapp-core/models/aws/aws-named-profile";
import { Session } from "@noovolari/leapp-core/models/session";
export default class DeleteNamedProfile extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        profileId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        force: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    selectNamedProfile(): Promise<AwsNamedProfile>;
    getAffectedSessions(namedProfileId: string): Session[];
    askForConfirmation(affectedSessions: Session[]): Promise<boolean>;
    deleteNamedProfile(id: string): Promise<void>;
}
