import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import { AwsNamedProfile } from "@noovolari/leapp-core/models/aws/aws-named-profile";
export default class EditNamedProfile extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        profileId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        profileName: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    selectNamedProfile(): Promise<AwsNamedProfile>;
    getProfileName(): Promise<string>;
    editNamedProfile(id: string, newName: string): Promise<void>;
    private editNamedProfileByFlags;
    private validateFlags;
}
