import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import { Session } from "@noovolari/leapp-core/models/session";
export default class ChangeSessionRegion extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        sessionId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        region: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    selectSession(): Promise<Session>;
    selectRegion(session: Session): Promise<string>;
    changeSessionRegion(session: Session, newRegion: string): Promise<void>;
    private validateFlags;
}
