import { Session } from "@noovolari/leapp-core/models/session";
import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
export default class DeleteSession extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        sessionId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        force: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    selectSession(): Promise<Session>;
    deleteSession(session: Session): Promise<void>;
    getAffectedSessions(session: Session): Session[];
    askForConfirmation(affectedSessions: Session[]): Promise<boolean>;
    private validateFlags;
}
