import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import { Session } from "@noovolari/leapp-core/models/session";
import { SessionService } from "@noovolari/leapp-core/services/session/session-service";
export default class GenerateSession extends LeappCommand {
    static description: string;
    static examples: string[];
    static args: {
        sessionId: import("@oclif/core/lib/interfaces/parser").Arg<string, Record<string, unknown>>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    generateSession(session: Session): Promise<void>;
    getSession(sessionId: string): Promise<Session>;
    isAwsSession(sessionService: SessionService): boolean;
}
