import { LeappCommand } from "../../leapp-command";
import { Config } from "@oclif/core/lib/config/config";
import { Session } from "@noovolari/leapp-core/models/session";
export default class OpenWebConsole extends LeappCommand {
    static description: string;
    static examples: string[];
    static flags: {
        sessionId: import("@oclif/core/lib/interfaces").OptionFlag<string, import("@oclif/core/lib/interfaces/parser").CustomOptions>;
        print: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    constructor(argv: string[], config: Config);
    run(): Promise<void>;
    openWebConsole(session: Session, flags: any): Promise<void>;
    private selectSession;
}
