import { IHttpClient } from "@noovolari/leapp-core/interfaces/i-http-client";
export declare class HttpClientProvider implements IHttpClient {
    private _accessToken;
    constructor();
    get accessToken(): string;
    set accessToken(value: string);
    get<T>(url: string): Promise<T>;
    post<T>(url: string, body: any): Promise<T>;
    put<T>(url: string, body: any): Promise<T>;
    delete<T>(url: string): Promise<T>;
    private getHttpHeaders;
}
