import { LocalSecretDto } from "./local-secret-dto";
import { SecretType } from "./secret-type";
export interface AwsAccount {
    accountId: string;
    accountName: string;
}
export declare class AwsLocalSessionDto extends LocalSecretDto {
    sessionId: string;
    sessionName: string;
    region: string;
    profileName?: string;
    awsAccount?: AwsAccount;
    showSessionForManager: boolean;
    constructor(sessionId: string, sessionName: string, region: string, secretType: SecretType, profileName?: string, awsAccount?: AwsAccount);
}
