export interface IHttpClient {
    set accessToken(value: string);
    post<T>(url: string, body: any | null, params?: any): Promise<T>;
    put<T>(url: string, body: any | null, params?: any): Promise<T>;
    get<T>(url: string, params?: any): Promise<T>;
    delete<T>(url: string, params?: any): Promise<T>;
}
