import { IHttpClient } from "../http/i-http-client";
import { CreateCheckoutSessionResponseDto } from "./dto/create-checkout-session-response-dto";
import { PriceDto } from "./dto/price-dto";
export declare class PaymentProvider {
    private readonly apiEndpoint;
    private readonly httpClient;
    constructor(apiEndpoint: string, httpClient: IHttpClient);
    createCheckoutSession(priceId: string, email: string, fiscalCode?: string): Promise<CreateCheckoutSessionResponseDto>;
    getPrices(): Promise<PriceDto[]>;
}
