export declare class HttpClientMock {
    called?: boolean;
    methodCalled?: string;
    urlCalled?: string;
    sentBody?: any;
    errorToThrow?: Error;
    returnValue?: any;
    constructor();
    set accessToken(_value: string);
    post<T>(url: string, body: any | null): Promise<T>;
    put<T>(url: string, body: any | null): Promise<T>;
    get<T>(url: string): Promise<T>;
    delete<T>(url: string): Promise<T>;
    setReturnValue<T>(returnValue: T): void;
    setThrowError(error: Error): void;
    awaitNetworkCall(): Promise<boolean>;
}
