import puppeteer from "puppeteer";
import { IAwsSamlAuthenticationService } from "@noovolari/leapp-core/interfaces/i-aws-saml-authentication-service";
import { AwsSamlAssertionExtractionService } from "@noovolari/leapp-core/services/aws-saml-assertion-extraction-service";
export declare class CliAwsSamlAuthenticationService implements IAwsSamlAuthenticationService {
    private awsSamlAssertionExtractionService;
    private browser;
    constructor(awsSamlAssertionExtractionService: AwsSamlAssertionExtractionService);
    needAuthentication(idpUrl: string): Promise<boolean>;
    awsSignIn(idpUrl: string, needToAuthenticate: boolean): Promise<string>;
    closeAuthenticationWindow(): Promise<void>;
    getNavigationPage(headlessMode: boolean): Promise<puppeteer.Page>;
}
