import { IAwsSamlAuthenticationService } from "@noovolari/leapp-core/interfaces/i-aws-saml-authentication-service";
import { RemoteProceduresClient } from "@noovolari/leapp-core/services/remote-procedures-client";
export declare class CliRpcAwsSamlAuthenticationService implements IAwsSamlAuthenticationService {
    private remoteProceduresClient;
    constructor(remoteProceduresClient: RemoteProceduresClient);
    needAuthentication(idpUrl: string): Promise<boolean>;
    awsSignIn(idpUrl: string, needToAuthenticate: boolean): Promise<string>;
    closeAuthenticationWindow(): Promise<void>;
}
