import { IKeychainService } from "@noovolari/leapp-core/interfaces/i-keychain-service";
import { RemoteProceduresClient } from "@noovolari/leapp-core/services/remote-procedures-client";
export declare class CliRpcKeychainService implements IKeychainService {
    private remoteProceduresClient;
    constructor(remoteProceduresClient: RemoteProceduresClient);
    saveSecret(service: string, account: string, password: string): Promise<void>;
    getSecret(service: string, account: string): Promise<string | null>;
    deleteSecret(service: string, account: string): Promise<boolean>;
}
